Bug 66811 - deskguide coredumps after 32 desktops
Summary: deskguide coredumps after 32 desktops
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-17 09:35 UTC by Nicholas Clark
Modified: 2007-03-27 03:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-06 23:39:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicholas Clark 2002-06-17 09:35:45 UTC
Description of Problem:

With control-alt-leftarrow and control-alt-rightarrow under sawfish window
manager I can send a window to a new desktop. This will creates new desktop when
it reaches that highest or lowest desktop, rather than wrapping round. At 32
desktops deskguide is happy. On creating the 33rd, it dies "unxepectedly" and
won't restart. This leaves me unable to reach the other windows, and recover
data there.

Version-Release number of selected component (if applicable):

"Gnome deskguide_applet 0.4"

How Reproducible:

100%

Steps to Reproduce:
1. while focus is inside a window, repeatedly press Control-Alt-Left

Actual Results:

deskguide aborts at 33rd window, leaving all other windows unreachable


Expected Results:

either:

  deskguide should gracefully dynamically cope with pointlessly large numbers of
desktops without exiting.
  deskguide should prevent sawfish from creating desktops beyond the number that
it can handle

Additional Information:

Attempting to run deskguide from a terminal gives

 deskguide_applet 

DeskGuide-Applet-ERROR **: MAX_DESKTOPS limit reached, adjust source code
aborting...
Aborted


I'd suggest "adjust source code" should be of the form of changing from an
arbitary static limit to a dynamic limit. Gnome coding guidlines say that all
developers should follow the GNU coding guidlines, and in turn GNU coding
guidelines "Program Behavior for All Programs" says:

 4.1 Writing Robust Programs

Avoid arbitrary limits on the length or number of any data structure, including
file names, lines, files, and symbols, by allocating all data structures
dynamically. In most Unix utilities, "long lines are silently truncated". This
is not acceptable in a GNU utility.

Comment 1 Havoc Pennington 2002-06-17 13:40:06 UTC
My memory is that this got fixed in 7.3, but I'd have to verify. Of course it
was bogus and wrong to have that limit in there. (Well, a limit is probably
good, core dumping when reaching it is a bit silly.)

Comment 2 Havoc Pennington 2003-01-06 23:39:00 UTC
Bug no longer applies to newer releases.


Note You need to log in before you can comment on or make changes to this bug.